Исследователь по кибербезопасности под псевдонимом «axi0mX» рассказал об уязвимости для iOS-устройств, работающих на процессорах от A5 (iPhone 4S) до A11 (iPhone 8 и iPhone X). Он назвал эксплоит checkm8 и опубликовал его в открытом доступе на GitHub, пишет TJournal.

Фото: Reuters
Фото: Reuters

По словам исследователя, уязвимость содержится в загрузчике устройств. Его записывают только на заводе и всего один раз — потом этот раздел памяти остается доступен только для чтения.

Как отметили на The Verge, уязвимость checkm8 может оказаться одной из самых крупных находок исследователей iOS за последние годы. Это первая уязвимость уровня загрузчика после iPhone 4, который выпустили почти десять лет назад. Если она действительно существует, то Apple не сможет исправить ее через обновления iOS и обезопасить пользователей.

При этом для эксплуатации уязвимости потребуется физический доступ к устройству по USB. Пока она считается «привязанной» — для ее использования придется каждый раз подключать смартфон к компьютеру.

Кроме того, разработчики пока не публиковали джейлбрейки на основе checkm8. Пользователи не могут скачать готовый инструмент, взломать устройство и начать загружать приложения или модифицировать iOS.

В случае успешной эксплуатации checkm8 владельцы подходящих устройств от iPhone 4S до iPhone X смогут получить «пожизненный» джейлбрейк. Теоретически, он будет работать вне зависимости от действий Apple.

Смотрите, сколько у нас стоят популярные iPhone:

-25%
-35%
-55%
-20%
-20%
-10%
-20%
-10%
-15%